/***************************************************************************
 *   Copyright (C) 2006 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Go to LICENSE file to read the license agreement                      *
 ***************************************************************************/
 
#include <string>
#include "../base/ngt.h"
#include "screens.h"


using namespace std;


// globals
extern SDL_Surface *screen;
extern NGT_Engine main_engine;
extern NGT_Colors gamecolor; 

void game_start(){
	
	NGT_Font text;
	NGT_Surface nglogo;
	
	// font load and set attributes
	text.filename = "fonts/FreeSans.ttf";
	
	
	// If a generic computer
	if ( main_engine.machine_target == NGT_MACHINE_GENERIC ){
		text.size=62;
		text.x = 32;
		text.y = 100;
	}
	// If in GP2X hardware
	else if (NGT_MACHINE_GP2X){
		text.size=24;
		text.x = 13;
		text.y = 4;
	}

	text.mode = TEXT_BLENDED;
	text.color = gamecolor.white;
	text.LoadTTF();
	
	text.LoadTTF();
	text.LoadTTF();
	
	// set attributes of the image
	nglogo.x = 0;
	nglogo.y = 0;
	nglogo.LoadIMG("2d/images/neopontec_games_logo.png");
	// draw the image
	nglogo.draw(screen);
	SDL_Flip(screen);
	SDL_Delay(1500);	

	// clear the screen
	SDL_FillRect(screen,NULL,0x010000);
	// draw a text
	text.draw("A techdemo made by", screen);
	
	if ( main_engine.machine_target == NGT_MACHINE_GENERIC ){
		text.draw("Hector Blanco", screen, text.x+54, text.y+62);
	}
	else if (NGT_MACHINE_GP2X){
		text.draw("Hector Blanco", screen, text.x+54, text.y+62);
	}
	
	SDL_Flip(screen);
	
	SDL_Delay(1500);
	
	// Initialize and draw sprites
	
	NGT_Sprite spirals;
	NGT_SpriteBase spiralsbase;
	
	spiralsbase.init("2d/sprites/espiral");
    spirals.init(&spiralsbase,screen);
    spirals.xset(400);
    spirals.yset(200);
    spirals.setFrame(0);
    spirals.setSpeed(1);
	spirals.startAnim();

	int j = 0;
	// Play the animation 4 times.
    while ( j < 4 ) {
    	spirals.draw();
    	SDL_Flip(screen);
    	SDL_FillRect(screen,NULL,0x010000);
    	SDL_Delay(60);
    	// Every time the animation reaches the end, up the j variable.
    	if ( (spirals.getFrame()+1) == spiralsbase.mNumframes ){
    		j++;	
    		
    	}
    }
    
    // Clear memory
    text.free();
    nglogo.free();
    
}

