/***************************************************************************
 *   NGT (Neopontec Gaming Toolkit		      			   *
 *   Distributed under the terms of the GNU LGPL License		   *
 *   Copyright (C) 2005 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Refer to the LICENSE file to read the full license agreement          *
 ***************************************************************************/
 
#ifndef VIDEO_BASIC_H_
#define VIDEO_BASIC_H_

	#include "../ngt.h"
	#include <string>
	
	using namespace std;

//!  NGT Surface class 
/*!
  This class provides basic functions and objects to manage and draw surfaces.
*/	
	class NGT_Surface{
		public:
		//! 'x' coordinate of the surface.
		int x;
		//! 'y' coordinate of the surface.
		int y;
		//! The base surface of the class
		SDL_Surface *surface;
		
		// Functions
		
		// Constructor
		NGT_Surface() {};	// Constructor
	 	//! Draws the surface into the specified (*surf) SDL Surface
		void draw(SDL_Surface *surf);
		//! Frees memory used by the object.
		void free(){ SDL_FreeSurface(surface); };
		//! Load an image specified by the 'filename' argument
		int LoadIMG(char *filename);
		
		
	};
	
	// Independent functions (for compatibility and non OBJ oriented)
	//! Load an image specified by the 'file' argument into a SDL_Surface
	SDL_Surface *NGT_SurfaceLoad(char* file);
	
	//! Draws a surface.
	void SurfaceDraw(SDL_Surface *screen, SDL_Surface *img, int x, int y);
	

	void SurfaceDraw(SDL_Surface *screen, SDL_Surface *img, int x, int y, int w, int h, int x2, int y2);
	

#endif /*VIDEO_BASIC_H_*/
